@import "./../../../../../../static/css/variables";

.container-login100-cockpit {
  width: 100%;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  position: relative;
  z-index: 1;
  padding: 0;
  background-image: url("./../../../../../../static/images/soccer-stadium-at-night.jpeg");
  box-shadow: inset 0 0 0 2000px #f8c3323d;

  .wrap-login100 {
    justify-content: center;
    flex-direction: column;
    padding: 0;
    height: 100vh !important;
    max-height: 100vh !important;
    .wrap-logo {
      color: #f1f1f1;
      height: 40vh;
      min-height: 40vh;
      justify-content: center;
      box-shadow: inset 0 0 0 2000px #2f3335d6;
      flex-direction: row;
      align-items: center;
      padding: 2rem 3rem 1rem;
      span {
        &.logo-subtitle {
          padding: 0;
          position: absolute;
          top: 1.5rem;
          right: 1.5em;
          font-size: 1.25rem;
          color: #F7C230;
        }
      }
      div.wrap-logo-text {
        display: flex;
        flex-direction: column;
        justify-content: center;
        span {
          &.logo-title {
            text-transform: uppercase;
            line-height: 1;
            margin-bottom: 1rem;
          }
          &.login100-form-title {
            font-size: 1.25rem;
            color: #f1f1f1;
            line-height: 1;
          }
        }
        .login-info {
          min-height: min-content !important;
          span {
            &.txt1 {
              line-height: 1;
              color: #f1f1f1;
            }
          }
        }
      }
    }
    .wrap-login {
      height: 60vh !important;
      min-height: 60vh !important;
      flex-direction: column;
      height: min-content;
      justify-content: space-between;
      border-radius: 0;
      padding: 0;
      width: 100vw;
      overflow: hidden;
      background-color: #f7c23000;
      .login100-form {
        justify-content: center;
        width: 320px;
        max-width: 90vw;
        .login-info {
          min-height: 40px !important;
          span {
            &.txt1 {
              box-shadow: inset 0 0 0 2000px #2f3335d6;
              width: 100vw;
              color: #F7C230;
            }
          }
        }
        .wrap-input100 {
          margin-bottom: .5rem;
          input {
            &.input100 {
              font-size: 20px;
            }
          }
          span {
            &.focus-input100 {}
          }
        }
        .container-login100-form-btn {
          margin-top: 2rem;
          button {
            &.login100-form-btn {
              font-size: 20px;
            }
          }
        }
        .action-bottom {
          .txt1 {
            color: white;
          }
        }
      }
      .wrap-dev-100 {
        box-shadow: inset 0 0 0 2000px #2f3335d6;
        font-size: 1rem;
        span {}
        .wrap-dev {
          span {
    
          }
        }
      }
    }
  }
}


@media only screen and (max-width: 420px) {
  .container-login100-cockpit {
    .wrap-login100 {
      .wrap-logo {
        span {
          &.logo-subtitle {}
        }
        div.wrap-logo-text {
          span {
            &.logo-title {}
            &.login100-form-title {}
          }
          .login-info {
            span {
              &.txt1 {}
            }
          }
        }
      }
      .wrap-login {
        .login100-form {
          .login-info {
            span {
              &.txt1 {}
            }
          }
          .wrap-input100 {
            input {
              &.input100 {}
            }
            span {
              &.focus-input100 {}
            }
          }
          .container-login100-form-btn {
            button {
              &.login100-form-btn {}
            }
          }
          .action-bottom {
            .txt1 {}
          }
        }
        .wrap-dev-100 {
          span {}
          .wrap-dev {
            span {}
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 600px) {
  .container-login100-cockpit {
    .wrap-login100 {
      .wrap-logo {
        span {
          &.logo-subtitle {}
        }
        div.wrap-logo-text {
          span {
            &.logo-title {}
            &.login100-form-title {}
          }
          .login-info {
            span {
              &.txt1 {}
            }
          }
        }
      }
      .wrap-login {
        .login100-form {
          .login-info {
            span {
              &.txt1 {}
            }
          }
          .wrap-input100 {
            input {
              &.input100 {}
            }
            span {
              &.focus-input100 {}
            }
          }
          .container-login100-form-btn {
            button {
              &.login100-form-btn {}
            }
          }
          .action-bottom {
            .txt1 {}
          }
        }
        .wrap-dev-100 {
          span {}
          .wrap-dev {
            span {}
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 768px) {
  .container-login100-cockpit {
    .wrap-login100 {
      .wrap-logo {
        span {
          &.logo-subtitle {}
        }
        div.wrap-logo-text {
          span {
            &.logo-title {}
            &.login100-form-title {}
          }
          .login-info {
            span {
              &.txt1 {}
            }
          }
        }
      }
      .wrap-login {
        .login100-form {
          .login-info {
            span {
              &.txt1 {}
            }
          }
          .wrap-input100 {
            input {
              &.input100 {}
            }
            span {
              &.focus-input100 {}
            }
          }
          .container-login100-form-btn {
            button {
              &.login100-form-btn {}
            }
          }
          .action-bottom {
            .txt1 {}
          }
        }
        .wrap-dev-100 {
          span {}
          .wrap-dev {
            span {}
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 1024px) {
  .container-login100-cockpit {
    .wrap-login100 {
      .wrap-logo {
        background-color: unset;
        padding: 30px 12px 12px;
        span {
          &.logo-subtitle {}
        }
        div.wrap-logo-text {
          span {
            &.logo-title {
              text-align: center;
              font-size: 5rem;
            }
            &.login100-form-title {}
          }
          .login-info {
            span {
              &.txt1 {}
            }
          }
        }
      }
      .wrap-login {
        .login100-form {
          .login-info {
            span {
              &.txt1 {}
            }
          }
          .wrap-input100 {
            input {
              &.input100 {}
            }
            span {
              &.focus-input100 {}
            }
          }
          .container-login100-form-btn {
            button {
              &.login100-form-btn {}
            }
          }
          .action-bottom {
            .txt1 {}
          }
        }
        .wrap-dev-100 {
          span {}
          .wrap-dev {
            span {}
          }
        }
      }
    }
  }
}
